/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.261 Revision 1.458
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.261 2007/03/13 10:41:21 caleb Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.458 2010/07/21 12:18:43 flameeyes Exp $
4
5 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
6 ruby-1.9.2_rc2.ebuild:
7 Try 2 to fix the berkdb 5 issue on 1.9.
8
9 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
10 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
11 ruby-1.9.2_rc2.ebuild:
12 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
13 support for adding new patchsets without bumping the revision for all the
14 old ebuilds as well.
15
16*ruby-1.9.2_rc2 (14 Jul 2010)
17
18 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
19 +ruby-1.9.2_rc2.ebuild:
20 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
21 might cause _further_ build failures as it changed slightly behaviour.
22 You're going to need to rebuild rubygems and then all the packages
23 previously installed after upgrading to this.
24
25 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
26 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
27 -ruby-1.9.1_p376.ebuild:
28 Cleanup old versions.
29
30*ruby-1.9.1_p429 (04 Jul 2010)
31
32 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
33 +ruby-1.9.1_p429.ebuild:
34 Version bump to new 1.9.1 release.
35
36*ruby-1.8.7_p299 (23 Jun 2010)
37
38 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
39 +ruby-1.8.7_p299.ebuild:
40 Version bump.
41
42 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
43 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
44 remove useless comments
45
46 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
47 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
48 ruby-1.9.1_p376.ebuild:
49 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
50 dev.gentoo.org now.
51
52 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
53 ruby-1.9.1_p376.ebuild:
54 Use the correct RUBYLIB.
55
56*ruby-1.8.7_p249-r2 (18 May 2010)
57*ruby-1.8.6_p388-r1 (18 May 2010)
58
59 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
60 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
61 ruby-1.9.1_p376.ebuild, metadata.xml:
62 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
63 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
64 add USE flags for ncurses, readline and libedit, and properly depend on
65 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
66 Emacs versions support ruby-mode themselves and it should be even more
67 updated.
68
69*ruby-1.8.7_p249-r1 (06 May 2010)
70
71 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
72 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
73 309789 by Sune Kloppenborg Jeppesen.
74
75 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
76 ruby-1.8.7_p249.ebuild:
77 Use $PVR instead of $PV in patchset names
78
79 06 May 2010; Alex Legler <a3li@gentoo.org>
80 -files/ruby-1.8.6-memory-leak.diff,
81 -files/ruby18-mkmf-parallel-install.patch,
82 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
83 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
84 Remove old version. Cleanup in files/
85
86*ruby-1.9.1_p376 (01 May 2010)
87
88 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
89 Version bump. Fixes security bugs 296052 and 300468. No longer installs
90 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
91 instead.
92
93 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
94 -ruby-1.8.7_p174-r1.ebuild:
95 Remove vulnerable ebuilds, 300468
96
97 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
98 ruby-1.8.7_p249.ebuild:
99 amd64 stable, security bug 300468
100
101 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
102 ruby-1.8.7_p249.ebuild:
103 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
104
105 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
106 Stable for HPPA (bug #300468).
107
108 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
109 Stable for HPPA (bug #300468).
110
111 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
112 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
113
114 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
115 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
116
117 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
118 ruby-1.8.6_p388.ebuild:
119 stable x86, security bug 300468
120
121 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
122 ruby-1.8.7_p249.ebuild:
123 stable x86, security bug 300468
124
125*ruby-1.8.6_p388 (10 Jan 2010)
126
127 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
128 +ruby-1.8.6_p388.ebuild:
129 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
130 version. The new ebuild also has the fix for bug 168939.
131
132*ruby-1.8.7_p249 (10 Jan 2010)
133
134 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
135 +ruby-1.8.7_p249.ebuild:
136 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
137 version
138
139 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
140 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
141
142*ruby-1.8.7_p248 (25 Dec 2009)
143
144 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
145 Version bump
146
147 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
148 Remove old version.
149
150 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
151 Remove old version.
152
153 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
154 ia64/s390/sh stable wrt #288699
155
156 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
157 stable sparc, bug 288699
158
159 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
160 arm stable, bug #288699
161
162 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
163 amd64/x86 stable, bug #288699
164
165 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
166 ruby-1.8.7_p174-r1.ebuild:
167 Stable on alpha, bug #288699
168
169 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
170 ppc stable #288699
171
172 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
173 Stable for HPPA (bug #288699).
174
175 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
176 Marked ~hppa too.
177
178*ruby-1.8.7_p174-r1 (06 Oct 2009)
179
180 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
181 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
182 eselect-ruby cleanup feature.
183
184*ruby-1.9.1_p243 (09 Sep 2009)
185
186 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
187 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
188 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
189 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
190 -files/ruby19-rubygems-proxy.patch,
191 -files/ruby-1.9.1_p129-parallelmake.patch,
192 -files/ruby19-mkmf-parallel-install.patch:
193 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
194 168939. Cleaning up old patches.
195
196*ruby-1.8.6_p383 (20 Aug 2009)
197
198 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
199 Patchlevel bump.
200
201 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
202 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
203 ruby-1.9.1_p129-r1.ebuild:
204 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
205
206 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
207 Removing vulnerable ebuild, bug 273213.
208
209 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
210 Marking ruby-1.8.6_p369 ppc for bug 273213
211
212 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
213 ruby-1.9.1_p129-r1.ebuild:
214 Prepend our library path instead of overwriting it during src_install.
215 Thanks to the reporter of bug #274824.
216
217*ruby-1.8.7_p174 (18 Jun 2009)
218
219 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
220 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
221 Replacing 187_p173 with _p174 because of a regression. Unifying the
222 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
223 patchsets.
224
225 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
226 Marking ruby-1.8.6_p369 ppc64 for bug 273213
227
228 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
229 arm/ia64/s390/sh/sparc stable wrt #273213
230
231 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
232 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
233 Removing old version, minor cleanup
234
235 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
236 -files/ruby-1.8.6-openssl.patch,
237 -files/ruby-1.8.6-shortname_constants.patch,
238 -files/ruby-1.8.6_p111-r13657.patch,
239 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
240 Removing vulnerable old Ruby version and stale patches, bug 274108.
241
242 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
243 ruby-1.8.6_p369.ebuild:
244 Stable on alpha, bug #273213
245
246 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
247 Stable for HPPA (bug #273213).
248
249 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
250 ruby-1.8.6_p369.ebuild:
251 stable x86, security bug 273213
252
253 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
254 amd64 stable, security bug 273213.
255
256*ruby-1.8.7_p173 (10 Jun 2009)
257*ruby-1.8.6_p369 (10 Jun 2009)
258
259 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
260 +ruby-1.8.7_p173.ebuild:
261 Version bumps for bug #273213.
262
263*ruby-1.9.1_p129-r1 (27 May 2009)
264
265 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
266 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
267 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
268 +files/ruby-1.9.1_p129-parallelmake.patch:
269 Revision bump, add patches 1) to make Ruby behave more similarly between
270 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
271 extensions (undefined symbols in them will cause abort at runtime 3) to
272 remove a concurrency issue when building the dl extension that could
273 result in a broken dl.so.
274
275 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
276 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
277 Don't block rdoc-2 or later (which may enter Portage one day as it's
278 needed by some Rakefiles).
279
280 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
281 ruby-1.9.1_p129.ebuild:
282 Add ~x86-fbsd keyword.
283
284 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
285 keyword ~sparc-fbsd, bug #252315
286
287*ruby-1.9.1_p129 (15 May 2009)
288
289 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
290 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
291 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
292 included in every release.
293
294 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
295 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
296 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
297 ruby-1.8.7_p160.ebuild:
298 Removing vulnerable versions (#268515), fixing license (#233747).
299
300 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
301 Stable for HPPA (bug #268515).
302
303 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
304 Adapting rubygems notice.
305
306 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
307 amd64 stable, bug #268515.
308
309 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
310 arm/ia64/s390/sh/sparc stable wrt #268515
311
312 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
313 ruby-1.8.6_p368.ebuild:
314 stable x86, security bug 268515
315
316 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
317 ruby-1.8.6_p368.ebuild:
318 Stable on alpha, bug #268515
319
320 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
321 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
322
323*ruby-1.8.7_p160 (07 May 2009)
324*ruby-1.8.6_p368 (07 May 2009)
325
326 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
327 +ruby-1.8.7_p160.ebuild:
328 Version bump as per secbug 268515. NB: These are the first ebuilds that
329 no longer use ruby-config.
330
331*ruby-1.9.1-r1 (03 Apr 2009)
332*ruby-1.8.7_p72-r11 (03 Apr 2009)
333*ruby-1.8.6_p287-r13 (03 Apr 2009)
334
335 03 Apr 2009; Alex Legler <a3li@gentoo.org>
336 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
337 +files/ruby18-mkmf-parallel-install.patch,
338 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
339 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
340 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
341 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
342 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
343 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
344 happy.
345
346*ruby-1.9.1 (21 Mar 2009)
347
348 21 Mar 2009; Alex Legler <a3li@gentoo.org>
349 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
350 +ruby-1.9.1.ebuild:
351 Adding Ruby 1.9.1 for preliminary testing
352
353 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
354 ruby-1.8.6_p287-r12.ebuild:
355 Marked ~ppc for bug #252315.
356
357 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
358 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
359 bug 261982.
360
361 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
362 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
363 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
364 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
365 Cleanup
366
367*ruby-1.8.7_p72-r10 (07 Mar 2009)
368
369 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
370 +ruby-1.8.7_p72-r10.ebuild:
371 Add a revision of ruby 1.8.7 using eselect ruby.
372
373 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
374 ~mips keyworded, bug #252315.
375
376 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
377 ruby-1.8.6_p287-r5.ebuild:
378 ppc stable, bug #260006
379
380 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
381 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
382
383 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
384 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
385 Fixing Tk USE flag test, bug 258893.
386
387 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
388 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
389
390 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
391 ruby-1.8.6_p287-r5.ebuild:
392 amd64 stable wrt security bug #260006
393
394 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
395 Stable for HPPA (bug #260006).
396
397 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
398 ruby-1.8.6_p287-r5.ebuild:
399 Stable on alpha, bug #260006
400
401*ruby-1.8.7_p72-r2 (23 Feb 2009)
402*ruby-1.8.6_p287-r12 (23 Feb 2009)
403*ruby-1.8.6_p287-r5 (23 Feb 2009)
404
405 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
406 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
407 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
408 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
409 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
410 now before compilation if Tk useflags don't match) and 230748 (adding
411 --enable-option-checking=no for newer versions of autoconf).
412
413 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
414 arm/ia64/s390/sh/sparc stable wrt #254307
415
416 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
417 ruby-1.8.6_p287-r4.ebuild:
418 Stable on alpha, bug #254307
419
420 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
421 ruby-1.8.6_p287-r11.ebuild:
422 keyword ~x86-fbsd, bug #252315
423
424 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
425 ppc stable #254307
426
427 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
428 amd64/x86 stable, bug #254307
429
430 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
431 stable ppc64, bug 254307
432
433 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
434 Stable for HPPA (bug #254307).
435
436 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
437 ruby-1.8.6_p287-r11.ebuild:
438 Marked ~hppa (bug #252315).
439
440*ruby-1.8.6_p287-r11 (11 Jan 2009)
441
442 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
443 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
444 +ruby-1.8.6_p287-r11.ebuild:
445 Backport conditional definition of missing openssl functions from ruby 1.8.7.
446 Fixes #254307.
447
448 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
449 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
450
451 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
452 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
453
454 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
455 ruby-1.8.6_p287-r10.ebuild:
456 Add ~sparc keyword, bug #252315
457
458*ruby-1.8.6_p287-r10 (23 Dec 2008)
459
460 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
461 +ruby-1.8.6_p287-r10.ebuild:
462 Version bump which switches from ruby-config to eselect-ruby. Dropped most
463 keywords since eselect-ruby does not yet have these keywords.
464
465 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
466 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
467 Revert the ruby-config changes. We can't remove them until we provide an
468 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
469 for breaking things as mentioned in bug #251833.
470
471 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
472 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
473 ruby-1.8.7_p72-r1.ebuild:
474 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
475 Thanks for the people noticing this in bug #251833.
476
477 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
478 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
479 ruby-1.8.7_p72-r1.ebuild:
480 Drop dependency on ruby-config, which will be removed from the tree. We
481 currently only have one major version of ruby in the tree (Ruby 1.8), so there
482 is no need for ruby-config at this moment. For newer versions of Ruby we will
483 use eselect-ruby, which can be found in the ruby overlay at the moment.
484
485 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
486 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
487 Use mirror://ruby in SRC_URI, fixes #237392.
488
489 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
490 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
491 -ruby-1.8.7_p72.ebuild:
492 Remove old versions. Leave one old stable version with cjk support.
493
494*ruby-1.8.6_p287-r3 (29 Nov 2008)
495
496 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
497 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
498 +ruby-1.8.6_p287-r3.ebuild:
499 Fix our expansion limit patch according to debian bug report
500 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
501 make sure people will pick up the fixed version. Thanks to Alex Legler for
502 mentioning the patch.
503
504*ruby-1.8.7_p72-r1 (26 Nov 2008)
505*ruby-1.8.6_p287-r2 (26 Nov 2008)
506
507 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
508 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
509 +ruby-1.8.7_p72-r1.ebuild:
510 Fix problem with shortname constants #247790, already fixed in upstream SVN.
511 Thanks to Alex Legler for providing the patch.
512
513 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
514 -ruby-1.8.6_p287.ebuild:
515 Remove versions that will not become stable
516
517 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
518 ruby-1.8.6_p287-r1.ebuild:
519 ppc stable, bug #225465
520
521 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
522 ruby-1.8.6_p287-r1.ebuild:
523 amd64 stable wrt security bug #225465
524
525 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
526 alpha/ia64/x86 stable wrt #225465
527
528 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
529 ruby-1.8.6_p287-r1.ebuild:
530 Sparc stable --- Security Bug #225465 --- good since late August.
531
532 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
533 Stable on ppc64; bug #225465
534
535 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
536 Stable for HPPA (bug #225465).
537
538*ruby-1.8.6_p287-r1 (29 Aug 2008)
539
540 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
541 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
542 +ruby-1.8.6_p287-r1.ebuild:
543 Fix REXML security issues, bug #236060.
544
545 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
546 Add GLEP 56 USE flag descriptions.
547
548*ruby-1.8.7_p72 (15 Aug 2008)
549
550 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
551 +ruby-1.8.7_p72.ebuild:
552 bump 1.8.7 to latest patch release
553
554*ruby-1.8.6_p287 (11 Aug 2008)
555
556 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
557 Version bump for brown paper bag relelease.
558
559 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
560 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
561 Remove broken version in favor of the just-added 1.8.6_p286
562
563*ruby-1.8.6_p286 (10 Aug 2008)
564
565 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
566 Version bump to latest released version of ruby 1.8.6. This version fixes the
567 security issues reported in #225465 and #234224. The cjk USE flag has been
568 dropped since no compatible patches have been released yet.
569
570 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
571 ruby-1.8.6_p230.ebuild:
572 drop cjk from SRC_URI as well
573
574 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
575 Drop cjk support since the most recent oniguruma patches no longer apply to
576 this version, #230111.
577
578 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
579 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
580 Try to fix the security issues reported in #225465 for ruby 1.8.6.
581 Unfortunately the official p230 has a change which causes segmentation faults
582 for applications like Rails and RSpec, so we are reverting that specific
583 change.
584
585*ruby-1.8.7_p22 (29 Jun 2008)
586
587 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
588 +ruby-1.8.7_p22.ebuild:
589 bump 1.8.7 for security fix
590
591 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
592 nevermind, don't bump this yet
593
594*ruby-1.8.6_p230 (20 Jun 2008)
595
596 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
597 version bump
598
599*ruby-1.8.7 (10 Jun 2008)
600
601 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
602 +ruby-1.8.7.ebuild:
603 bump 1.8.7 to final
604
605*ruby-1.8.7_pre2 (21 Apr 2008)
606
607 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
608 +ruby-1.8.7_pre2.ebuild:
609 Version Bump
610
611*ruby-1.8.7_pre1 (16 Apr 2008)
612
613 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
614 Version bump. Drop cjk until a new version of oniguruma appears.
615
616 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
617 amd64 stable, bug 212264
618
619 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
620 Stable for HPPA (bug #212264).
621
622 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
623 ruby-1.8.6_p114.ebuild:
624 ppc stable, bug #212264
625
626 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
627 alpha/ia64 stable wrt #212264
628
629 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
630 ruby-1.8.6_p114.ebuild:
631 stable x86, security bug 212264
632
633 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
634 Sparc stable, Security Bug #212264, builds and installs, initial tests run
635 as expected.
636
637 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
638 Marking ruby-1.8.6_p114 ppc64 for bug 212264
639
640*ruby-1.8.6_p114 (05 Mar 2008)
641
642 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
643 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
644 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
645 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
646 Version bump for #212264. Remove old ebuilds.
647
648 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
649 alpha/ia64 stable wrt #208916
650
651 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
652 Stable on ppc wrt bug 208916
653
654 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
655 x86 stable, bug #208916
656
657 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
658 ruby-1.8.6_p111-r1.ebuild:
659 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
660
661 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
662 -files/ruby-1.8.6-exit-status.patch,
663 -files/ruby-1.8.6_p110-net-http-p111.patch,
664 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
665 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
666 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
667 Remove old versions
668
669 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
670 Stable on ppc64
671
672 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
673 Stable on amd64; bug 199191
674
675 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
676 alpha/ia64/sparc stable wrt #199191
677
678 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
679 Remove now-obsolete warning about coreutils versions, #203156.
680
681 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
682 Stable for HPPA (bug #199191).
683
684*ruby-1.8.6_p111-r1 (23 Dec 2007)
685
686 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
687 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
688 ssl USE flags. Patch to p113.
689
690 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
691 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
692
693 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
694 x86 stable, security bug #199191
695
696*ruby-1.8.6_p111 (23 Dec 2007)
697
698 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
699 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
700 Version bump with patch for bug #199191
701
702 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
703 Move dependency on (X)Emacs modes to PDEPEND.
704
705 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
706 Add back ~hppa keyword now that XEmacs support files have been keyworded,
707 bug 196413
708
709*ruby-1.8.6_p110-r2 (21 Oct 2007)
710
711 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
712 +ruby-1.8.6_p110-r2.ebuild:
713 Add emacs and xemacs USE flags and use them to pull in the correct editing
714 mode for each. Had to drop several arch keywords as reported on bug 196413.
715
716 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
717 amd64 stable, security bug 194236
718
719 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
720 ruby-1.8.6_p110-r1.ebuild:
721 Stable on ppc64; bug #194236
722
723 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
724 amd64 stable, security bug 194236
725
726 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
727 Stable for HPPA (bug #194236).
728
729 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
730 alpha/ia64/sparc stable wrt security #194236
731
732 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
733 ruby-1.8.6_p110-r1.ebuild:
734 ppc stable, bug #194236
735
736 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
737 ruby-1.8.6_p110-r1.ebuild:
738 stable x86, security bug 194236
739
740 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
741 ruby-1.8.5_p113.ebuild:
742 stable x86, security bug 194236
743
744 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
745 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
746 -ruby-1.8.6_p110.ebuild:
747 Remove old versions
748
749*ruby-1.8.6_p110-r1 (30 Sep 2007)
750*ruby-1.8.5_p113 (30 Sep 2007)
751
752 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
753 +files/ruby-1.8.5_p113-net-http-p114.patch,
754 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
755 +ruby-1.8.6_p110-r1.ebuild:
756 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
757 using 1.8.6-p110 as base ebuild.
758
759 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
760 More fixes from gentoo-dev and graaff
761
762 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
763 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
764
765*ruby-1.8.6_p110 (24 Sep 2007)
766
767 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
768 Version bump
769
770*ruby-1.8.6_p36-r4 (26 Aug 2007)
771
772 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
773 +ruby-1.8.6_p36-r4.ebuild:
774 Use user LDFLAGS, #181436
775
776 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
777 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
778 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
779 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
780
781 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
782 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
783 -ruby-1.8.6_p36-r2.ebuild:
784 Remove some older versions that will not be promoted to stable, keeping at
785 least one version of each release.
786
787 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
788 ruby-1.8.6_p36-r3.ebuild:
789 (QA) RESTRICT clean up.
790
791*ruby-1.8.6_p36-r3 (04 Jul 2007)
792
793 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
794 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
795 fixed memory leak loading .so bug #182946
796
797 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
798 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
799 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
800 ruby-1.8.6_p36-r2.ebuild:
801 (QA) RESTRICT clean up.
802
803 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
804 Re-add stable keyword for alpha as per bug #181110
805
806 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
807 Back to ~amd64 wrt bug 181110
808
809 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
810 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
811
812*ruby-1.8.6_p36-r2 (20 Jun 2007)
813
814 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
815 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671
816
817*ruby-1.8.6_p36-r1 (18 Jun 2007)
818
819 18 Jun 2007; Richard Brown <rbrown@gentoo.org>
820 +files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
821 -ruby-1.8.6_p36.ebuild, +ruby-1.8.6_p36-r1.ebuild:
822 Add prototype fix from ruby -r12567 [ruby-list:43615]. Thanks to peper and
823 spbecker
824
825 14 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
826 Stable on amd64 wrt bug 181110
827
828*ruby-1.8.6_p36 (12 Jun 2007)
829
830 12 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36.ebuild:
831 Version Bump. Bug #181379
832
833 10 Jun 2007; Joshua Kinard <kumba@gentoo.org> ruby-1.8.6-r1.ebuild:
834 Stable on mips, per #181110.
835
836 09 Jun 2007; nixnut <nixnut@gentoo.org> ruby-1.8.6-r1.ebuild:
837 Stable on ppc wrt bug 181110
838
839 09 Jun 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6-r1.ebuild:
840 Stable for HPPA (bug #181110).
841
842 09 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
843 alpha/ia64/x86 stable wrt #181110
844
845 07 Jun 2007; Gustavo Zacarias <gustavoz@gentoo.org> ruby-1.8.6-r1.ebuild:
846 Stable on sparc wrt #181110
847
848 06 Jun 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6-r1.ebuild:
849 Marking ruby-1.8.6-r1 ppc64 stable for bug#181110
850
851 24 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
852 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
853 ruby-1.8.5_p35.ebuild:
854 Add RESTRICT="test" to ebuilds that have no hope of passing.
855
856 24 May 2007; Lars Weiler <pylon@gentoo.org> ruby-1.8.5_p2-r1.ebuild:
857 Stable on ppc; bug #178346.
858
859 19 May 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p2-r1.ebuild:
860 Stable on ppc64; bug #178346
861
862 18 May 2007; Fernando J. Pereda <ferdy@gentoo.org>
863 ruby-1.8.5_p2-r1.ebuild:
864 Stable on alpha as per bug #178346
865
866 17 May 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6-r1.ebuild:
867 Fix bug #128837, ruby-talk:183494
868
869 16 May 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.6_pre1.ebuild,
870 -ruby-1.8.6_pre3.ebuild, -ruby-1.8.6.ebuild:
871 Remove old 1.8.6 versions
872
873 16 May 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.5_p2-r1.ebuild:
874 amd64 stable, bug 178346
875
876 13 May 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.5_p2-r1.ebuild:
877 Stable for HPPA (bug #178346).
878
879 13 May 2007; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.5_p2-r1.ebuild:
880 Stable on sparc --- Bug #178346 --- fixes Bug #159922 (uses
881 /usr/bin/install).
882
883 13 May 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.5_p2-r1.ebuild:
884 ia64 + x86 stable wrt bug 178346
885
886*ruby-1.8.5_p2-r1 (13 May 2007)
887
888 13 May 2007; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.5_p2-r1.ebuild:
889 Bump to get people to recompile ruby now that coreutils-6.7-r1 is stable
890 on most arches so that ruby properly picks up new location of /bin/install.
891 See #159922 for details.
892
893*ruby-1.8.6-r1 (01 May 2007)
894
895 01 May 2007; Richard Brown <rbrown@gentoo.org>
896 +files/ruby-1.8.6-exit-status.patch, +ruby-1.8.6-r1.ebuild:
897 Add new src_test, and add return code patch from [ruby-core:10609] and
898 [ruby-core:10760]
899
900 24 Apr 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.4-r3.ebuild,
901 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p12.ebuild, ruby-1.8.5_p35.ebuild,
902 ruby-1.8.6_pre1.ebuild, ruby-1.8.6_pre3.ebuild, ruby-1.8.6.ebuild:
903 Fix $ROOT usage. Bug #167271
904
905 07 Apr 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
906 ruby-1.8.4-r3.ebuild, ruby-1.8.5_p2.ebuild, ruby-1.8.5_p12.ebuild,
907 ruby-1.8.5_p35.ebuild, ruby-1.8.6_pre1.ebuild, ruby-1.8.6_pre3.ebuild,
908 ruby-1.8.6.ebuild:
909 Added warning, bug #159922
4 910
5*ruby-1.8.6 (13 Mar 2007) 911*ruby-1.8.6 (13 Mar 2007)
6 912
7 13 Mar 2007; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6.ebuild: 913 13 Mar 2007; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6.ebuild:
8 version bump 914 version bump

Legend:
Removed from v.1.261  
changed lines
  Added in v.1.458

  ViewVC Help
Powered by ViewVC 1.1.20